window.onscroll = function() {stickySideNav()};

// Get the navbar
var navbar = document.querySelector("#context-nav");
// Get the offset position of the navbar
var sticky = navbar.offsetTop;

// Get breadcrumbs
var breadcrumbs = document.querySelector('#breadcrumbs');

// Add the sticky class to the navbar when you reach its scroll position. Remove "sticky" when you leave the scroll position
function stickySideNav() {
  if (window.pageYOffset >= sticky) {
    navbar.classList.add("sticky-context-nav");
    breadcrumbs.classList.add("sticky-breadcrumbs");
  } else {
    navbar.classList.remove("sticky-context-nav");
    breadcrumbs.classList.remove("sticky-breadcrumbs");
  }
}

function toggleContextNav(element){
  const parent = element.parentElement
  console.log(parent)
  if (parent.classList.contains('expand') == true) {
    parent.classList.remove('expand')
  }
  else {
    parent.classList.add('expand')
  }
}

// mobile shoehorn
function mobileMenu(element){
  var w = window.innerWidth;
  if (w < 980 && !(element.classList.contains("mobile-menu-open"))){
    element.classList.add("mobile-menu-open")
    element.classList.remove("mobile-menu")
  } else {
    element.classList.add("mobile-menu")
    element.classList.remove("mobile-menu-open")
  }
}

// expandable blockquote sections
const expandables = document.querySelectorAll(".expandable")
for (blockquote of expandables){
    blockquote.addEventListener("click", expandCollapse)
}
function expandCollapse(element) {
  const section = element.target.parentElement
  if (section.classList.contains("expanded")){
    section.classList.remove("expanded")
  } else if (section.classList.contains("expandable")) {
    section.classList.add("expanded")
  }
}

// collapse sidenav

function toggleSideNav() {
  const body = document.getElementsByTagName('body')[0];
  const bean = document.querySelector("#context-nav-toggle-bean")
  if (body.classList.contains("full-width")){
    body.classList.remove("full-width")
    bean.innerHTML = '<'
  } else {
    body.classList.add("full-width")
    body.classList.add("has-sidenav")
    bean.innerHTML = '>'
  }
}

// banners. Currently just for the local site notifictaion
const banners = document.querySelectorAll(".banner")
for (banner of banners){
    banner.addEventListener("click", clearBanner)
}

function clearBanner(element) {
  const button = element.target.parentElement;
  button.parentElement.style.display = 'none';
}

// expand collapse rows
if (document.querySelector(".oss")) {
  const rows = document.querySelectorAll("tr")
  for (row of rows){
      row.addEventListener("click", toggle)
  }
}

// this toggle function should be generalized and used everywhere... someday

function toggle(element){
  const select = element.target.parentElement;
  if (select.classList.contains('expand') == true) {
    select.classList.remove('expand')
  }
  else {
    select.classList.add('expand')
  }
}
